package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.InitialCpuInfo;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * CPU监控信息Mapper接口
 * 
 * @author gyt
 * @date 2025-08-25
 */
public interface InitialCpuInfoMapper 
{
    /**
     * 查询CPU监控信息
     * 
     * @param id CPU监控信息主键
     * @return CPU监控信息
     */
    public InitialCpuInfo selectInitialCpuInfoById(Long id);

    /**
     * 查询CPU监控信息列表
     * 
     * @param initialCpuInfo CPU监控信息
     * @return CPU监控信息集合
     */
    public List<InitialCpuInfo> selectInitialCpuInfoList(InitialCpuInfo initialCpuInfo);

    /**
     * 新增CPU监控信息
     * 
     * @param initialCpuInfo CPU监控信息
     * @return 结果
     */
    public int insertInitialCpuInfo(InitialCpuInfo initialCpuInfo);

    /**
     * 修改CPU监控信息
     * 
     * @param initialCpuInfo CPU监控信息
     * @return 结果
     */
    public int updateInitialCpuInfo(InitialCpuInfo initialCpuInfo);

    /**
     * 删除CPU监控信息
     * 
     * @param id CPU监控信息主键
     * @return 结果
     */
    public int deleteInitialCpuInfoById(Long id);

    /**
     * 批量删除CPU监控信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInitialCpuInfoByIds(Long[] ids);
    /**
     * 批量新增CPU监控信息
     *
     * @param list CPU监控信息集合
     * @return 结果
     */
    public int batchInsertInitialCpuInfo(@Param("list") List<InitialCpuInfo> list);

    InitialCpuInfo getCpuInfoByClientId(String clientId);
}
